Ubuntu

Dash - Left clicking on purchasable/installable content should open a preview

Reported by John Lea on 2012-09-03
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Critical
John Lea
Unity
High
Unassigned
unity (Ubuntu)
High
Unassigned
unity-lens-applications (Ubuntu)
High
Unassigned
unity-lens-music (Ubuntu)
Undecided
Unassigned
unity-lens-shopping (Ubuntu)
Undecided
Unassigned

Bug Description

Left clicking on a on purchasable/installable content should open a preview e.g.

- left clicking on a app under 'App available to download' category header should open a preview

- left clicking on a song or album under 'More suggestions' category header in the Music Lens should open a preview

- left clicking on a product under 'More suggestions' category header in the Dash Home should open a preview

(of course right clicking should also open a preview)

Note: bug reverted to Triaged, as it seems like this fix has regressed.

Related branches

lp:~nicolas-doffay/unity/preview-click-exit
Merged into lp:unity at revision 2701
Neil J. Patel (community): Approve on 2012-09-19
Nick Dedekind: Pending requested 2012-09-17
lp:~stolowski/unity-lens-applications/preview-on-lmb
Merged into lp:unity-lens-applications at revision 327
Michal Hruby: Approve on 2013-03-01
PS Jenkins bot: Pending (continuous-integration) requested 2013-03-01
lp:~stolowski/unity-lens-music/preview-on-lmb
Merged into lp:unity-lens-music at revision 131
Michal Hruby: Approve on 2013-03-01
PS Jenkins bot: Pending (continuous-integration) requested 2013-03-01
lp:~stolowski/unity-lens-shopping/preview-on-lmb
Merged into lp:unity-lens-shopping at revision 40
Michal Hruby: Approve on 2013-03-01
PS Jenkins bot: Pending (continuous-integration) requested 2013-03-01
John Lea (johnlea) on 2012-09-03
tags: added: dashm udp
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
Changed in unity:
importance: Undecided → High
Changed in ayatana-design:
importance: Undecided → High
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in ayatana-design:
status: New → Triaged
Changed in unity:
status: New → Triaged
Changed in ayatana-design:
status: Triaged → Fix Committed
Changed in unity:
milestone: none → backlog
Changed in unity-lens-applications:
importance: Undecided → High
assignee: nobody → Pawel Stolowski (stolowski)
no longer affects: unity
Changed in unity-lens-applications:
status: New → In Progress
Changed in unity:
importance: Undecided → High
assignee: nobody → Nick Dedekind (nick-dedekind)
status: New → Confirmed
Pawel Stolowski (stolowski) wrote :

Fixed in application lens by responding with SHOW_PREVIEW on activate() call for installable apps; this however is not correctly handled in unity (preview is displayed correctly, but has broken next/prev navigation), so a fix is also needed in unity.

Changed in unity:
assignee: Nick Dedekind (nick-dedekind) → Nicolas d'Offay (nicolas-doffay)
Changed in unity:
status: Confirmed → Fix Committed
milestone: none → 7.0
Omer Akram (om26er) on 2012-09-20
Changed in unity:
milestone: 7.0 → 6.6
Launchpad Janitor (janitor) wrote :
Download full text (9.2 KiB)

This bug was fixed in the package unity - 6.6.0-0ubuntu1

---------------
unity (6.6.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Fixes non-escaped character sequences in dash previews (LP: #1039020)
    - Updated background layer for preview cover-art and details panels
      to be 10% low-light
    - Expand a PlacesGroup if it is the only category that contains results
      (LP: #950710)
    - Update unity autopilot tests to match autopilot API
    - Updated the convert files to fix some typos in the key names
    - Add gmodule dependency
    - Activate proper result if the categories aren't displayed in-order
      (LP: #1040101)
    - Refactor device launcher icons (LP: #713423)
    - LauncherController: make the controller enable the launcher struts,
      based on hide-mode option (LP: #1044005)
    - Launcher: make always possible to drag an icon to the bottom or top
      of its sub list (LP: #1043968)
    - Don't desat bfb/hud icon in DNDReset (LP: #1043963)
    - Progressively adjust the speed of the minimize animation. First
      time it is used is slower, then speeds up the more it is used.
      (LP: #1017510)
    - Implement new ordering of categories for home lens. (LP: #1043915)
    - UnityWindow now implements ScaleWindowInterface (LP: #876017)
    - Launcher: restore an icon position after that the dragging has been
      cancelled (LP: #955561)
    - LauncherDragWindow: cancel drag on window mapped/unmapped
      (LP: #1044723)
    - Now there is a check of an override color in RefreshColor (which is
      called when a PropertyNotify event happens). Also added a check in
      FullySaturateColor to a void division by zero. (LP: #975350)
    - Queue redraw after cover-art texture is updated from a url/file source.
      (LP: #1043947)
    - Fixed ability to delete glib::Source wrapper during its callback
      (LP: #1044823)
    - Close preview when dash is hidden. (LP: #1045298)
    - LauncherModel: rewrite the Reordering functions to keep the icon
      priority deltas (LP: #761155)
    - Make sure we can pass extra hints when activating preview actions.
      (LP: #1046352)
    - UnityWindow: scale window code improved (LP: #1033935)
    - The mouse will now cause the HUD buttons to change selection
      (LP: #1042692)
    - "Alt+Space" shortcut to reveal the window menu is not hardcoded, but a
       Compiz key option. " (Hold)" should also be translated. Made all
       Compiz plug-in names and all Compiz plug-in option names in
       unityshell.cpp static constants.
    - remove unity --reset, it's not anymore really needed now that we are
      in stable days of unity and we moved to gsettings
    - Removed the variables 'oldPrev' and 'oldNext' which got assigned the
      value NULL, but then were never used
    - Fixed the size of the previews to 770x380 pixels. (LP: #1045243)
    - UnityWindow: use smart pointers, use static close_icon (with dynamic
      state) and PanelStyle context (LP: #1033935) (LP: #1045127)
      (LP: #1046124) (LP: #1046126)
    - Remove everything in the #ifndef USE_MODERN_COMPIZ_GL ifdefs and remove
      the ifdefs alltogether. unity now requires compiz...

Read more...

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity-lens-applications:
status: In Progress → Invalid
no longer affects: unity-lens-applications
Changed in unity:
status: Fix Committed → Fix Released
no longer affects: unity/6.0
Changed in unity:
assignee: Nicolas d'Offay (nicolas-doffay) → nobody
John Lea (johnlea) on 2012-10-10
Changed in ayatana-design:
importance: High → Critical
Changed in unity (Ubuntu):
importance: High → Critical
importance: Critical → High
importance: High → Critical
status: Fix Released → Triaged
Changed in unity:
importance: High → Critical
status: Fix Released → Triaged
description: updated
Changed in unity-lens-applications (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
John Lea (johnlea) on 2012-10-29
summary: - Dash - Left clicking on a 'App available to download' should open a
+ Dash - Left clicking on purchasable/installable content should open a
preview
description: updated
John Lea (johnlea) on 2013-02-13
description: updated

John, the guidance is to preview everything, except installed apps.

Stephen M. Webb (bregma) on 2013-02-14
Changed in unity:
importance: Critical → High
Changed in unity (Ubuntu):
importance: Critical → High
Changed in unity-lens-applications (Ubuntu):
importance: Critical → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 6.10.0daily13.02.28-0ubuntu1

---------------
unity-lens-applications (6.10.0daily13.02.28-0ubuntu1) raring; urgency=low

  [ Pawel Stolowski ]
  * Dash - Left clicking on purchasable/installable content should open
    a preview (LP: #1045230)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 324
 -- Automatic PS uploader <email address hidden> Thu, 28 Feb 2013 04:02:05 +0000

Changed in unity-lens-applications (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-shopping - 6.8.0daily13.03.04-0ubuntu1

---------------
unity-lens-shopping (6.8.0daily13.03.04-0ubuntu1) raring; urgency=low

  [ Pawel Stolowski ]
  * Dash - Left clicking on purchasable/installable content should open
    a preview (LP: #1045230)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 40
 -- Automatic PS uploader <email address hidden> Mon, 04 Mar 2013 04:01:41 +0000

Changed in unity-lens-shopping (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-music - 6.8.1daily13.03.04-0ubuntu1

---------------
unity-lens-music (6.8.1daily13.03.04-0ubuntu1) raring; urgency=low

  [ Pawel Stolowski ]
  * Dash - Left clicking on purchasable/installable content should open
    a preview (LP: #1045230)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 131
 -- Automatic PS uploader <email address hidden> Mon, 04 Mar 2013 04:01:16 +0000

Changed in unity-lens-music (Ubuntu):
status: New → Fix Released
Changed in unity:
status: Triaged → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity:
milestone: 6.6 → 7.0.0
Stephen M. Webb (bregma) wrote :

Fix Released in Unity Unity 7.0.0 "R series".

Changed in unity:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2013-06-20
Changed in ayatana-design:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints